Subject: Re: bug#62237: 28.1 or higher: 24-bit true color breaks colours in Emacsen built without X under GNU Screen

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Mar 2023 15:29:52 +0200

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 18 Mar 2023 12:44:45 +0100
> 
> >>>>> On Sat, 18 Mar 2023 12:37:30 +0200, Eli Zaretskii <[email-masked]> said:
> 
>     Eli> Then I guess we should install your proposed fix in init_tty.
> 
> In emacs-29? That seems a bit radical. Patch below in any case

Yes, I think in emacs-29.  Why "radical"?

> I guess we could do something with not checking COLORTERM under screen
> instead.

That's a separate issue, from where I stand.  Users can unset
COLORTERM, but their true terminal type will still be "hidden" behind
the "screen." prefix, won't it?  The terminal type is about more than
just the colors.  Or does terminfo know about this "screen." business?